attribute vec4 position;
attribute vec4 inputTextureCoordinate;
attribute vec4 inputTextureCoordinate2;

uniform mat4 texMatrix;
uniform mat4 vertexMatrix;

varying vec2 textureCoordinate;
varying vec2 textureCoordinate2;

void main() {
    gl_Position = vertexMatrix * position;
    textureCoordinate = (texMatrix * inputTextureCoordinate).xy;
    textureCoordinate2 = (texMatrix * inputTextureCoordinate2).xy;
}